# optimbase_destroy

Resets the historyfopt and historyxopt fields of an object.

## Calling Sequence

                opt = optimbase_destroy(opt)

## Argument

opt

  The object of TOPTIM type (tlist).

## Description

The `optimbase_destroy` function resets the `historyfopt` and `historyxopt` fields at empty matrix ([]).

If the `-logstartup` option is set to true (%t), the `optimbase_logshutdown` function is called. She sets the `-logstartup` option at false (%f) and close the log file if the `-logfile` option is different to empty string.

## Example

        opt = optimbase_new();
        opt = optimbase_configure ( opt , "-storehistory" , %t );
        opt = optimbase_histset ( opt , 1 , "-xopt" , [1.0 1.0]' );
        val = optimbase_get(opt, "-historyxopt")
        opt = optimbase_destroy(opt);
        val = optimbase_get(opt, "-historyxopt")

## See Also

- optimbase_new
- optimbase_configure
- optimbase_get
- optimbase_cget